function hra = laxis()

aa = findobj(gcf,'type','axes');
if ~isempty(aa)
	pos = get(gca,'position');
	hla = findobj(aa,'flat','YAxisLocation','left','position',pos);
	if ~isempty(hla)
		hla = hla(1);
	else
		set(gca,'box','off')
		xlim = get(gca,'XLim');
		set(gca,'XLim',xlim)
		hla = axes('position',pos,'yaxislocation','left','color','none','box','off','XLim',xlim, 'HitTest','off');
		hold on % or 'plot' will create a new axis!
	end
else
	hla = axes('yaxislocation','left','color','none','box','off','HitTest','off');
	hold on
end
set(gcf,'CurrentAxes',hla)
if nargout<1, clear hla, end
