function hra = raxis()

aa = findobj(gcf,'type','axes');
if ~isempty(aa)
	pos = get(gca,'position');
	hra = findobj(aa,'flat','YAxisLocation','right','position',pos);
	if ~isempty(hra)
		hra = hra(1);
	else
		set(gca,'box','off')
		xlim = get(gca,'XLim');
		set(gca,'XLim',xlim)
		hra = axes('position',pos,'yaxislocation','right','color','none','box','off','XLim',xlim);%, 'HitTest','off');
		hold on % or 'plot' will create a new axis!
	end
else
	hra = axes('yaxislocation','right','color','none','box','off','HitTest','off');
	hold on
end
set(gcf,'CurrentAxes',hra)
if nargout<1, clear hra, end
